COMPATIBILITY:

FSX, FSX-Steam, P3D v.3.xx, P3D v.4.xx+

Hi dear user of EZCA. Please visit to our forum to get latest 2.8 version for P3D 4.4

This version also support all previous version of P3D 3.xx  4.xx  FSX , FSX-Steam Edition.

https://www.simforums.com/forums/ezca-2-8-for-p3d-v4-4_topic59058_post386967.html#386967

This is BETA version. Not release !!!